curl -X GET "https://api.affonso.io/v1/program/portal" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"single_program_portal": false,
"hide_branding": true,
"hide_details": false,
"primary_color": "#881337",
"secondary_color": "#f0f0f0",
"show_leaderboard": true,
"terms_conditions_status": true,
"terms_conditions_value": "https://acme.com/terms",
"privacy_policy_status": true,
"privacy_policy_value": "https://acme.com/privacy",
"support_email_status": true,
"support_email_value": "affiliates@acme.com",
"custom_texts": null
}
}
Portal
Get Portal Settings
Get the affiliate portal appearance and configuration settings
GET
/
v1
/
program
/
portal
curl -X GET "https://api.affonso.io/v1/program/portal" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"single_program_portal": false,
"hide_branding": true,
"hide_details": false,
"primary_color": "#881337",
"secondary_color": "#f0f0f0",
"show_leaderboard": true,
"terms_conditions_status": true,
"terms_conditions_value": "https://acme.com/terms",
"privacy_policy_status": true,
"privacy_policy_value": "https://acme.com/privacy",
"support_email_status": true,
"support_email_value": "affiliates@acme.com",
"custom_texts": null
}
}
Retrieve the affiliate portal settings including branding, colors, legal pages, and leaderboard configuration.
Response
The portal settings object, or
null if not yet configured.Show Data Object Properties
Show Data Object Properties
curl -X GET "https://api.affonso.io/v1/program/portal" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"single_program_portal": false,
"hide_branding": true,
"hide_details": false,
"primary_color": "#881337",
"secondary_color": "#f0f0f0",
"show_leaderboard": true,
"terms_conditions_status": true,
"terms_conditions_value": "https://acme.com/terms",
"privacy_policy_status": true,
"privacy_policy_value": "https://acme.com/privacy",
"support_email_status": true,
"support_email_value": "affiliates@acme.com",
"custom_texts": null
}
}
Was this page helpful?
